## libpwizlite 3.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

# CMake script for pwizlite library
# Author: Filippo Rusconi
# Created: 29/05/2020

############################################################
############################################################
# Basic information about project

set(PROJECT pwizlite)
project(${PROJECT} CXX C)

set(PWIZLITE_VERSION_MAJOR "3")
set(PWIZLITE_VERSION_MINOR "0")
set(PWIZLITE_VERSION_PATCH "2")
set(PWIZLITE_VERSION "${PWIZLITE_VERSION_MAJOR}.${PWIZLITE_VERSION_MINOR}.${PWIZLITE_VERSION_PATCH}")
# This VERSION is parseable by the makeOrigTarball script.
set(VERSION 3.0.2)

message(STATUS "${BoldYellow}CMAKE_LIBRARY_ARCHITECTURE: ${CMAKE_LIBRARY_ARCHITECTURE}${ColourReset}")

# This line MUST be located prior to include'ing GNUInstallDirs !!!
# if CMAKE_INSTALL_PREFIX is /usr/local (default), then
# the CMAKE_LIBRARY_ARCHITECTURE above is not honoured when
# computing the CMAKE_INSTALL_FULL_LIBDIR.

set(CMAKE_INSTALL_PREFIX /usr)
message(STATUS "Set CMAKE_INSTALL_PREFIX to ${CMAKE_INSTALL_PREFIX}")

include(GNUInstallDirs)

message(STATUS "Install directory prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "CMAKE_INSTALL_FULL_LIBDIR: ${CMAKE_INSTALL_FULL_LIBDIR}")
message(STATUS "CMAKE_INSTALL_FULL_INCLUDEDIR: ${CMAKE_INSTALL_FULL_INCLUDEDIR}")

# Add folder where are supportive functions
set(CMAKE_UTILS_PATH ${CMAKE_SOURCE_DIR}/CMakeStuff)
set(CMAKE_TOOLCHAINS_PATH ${CMAKE_UTILS_PATH}/toolchains)
set(CMAKE_MODULE_PATH ${CMAKE_UTILS_PATH}/modules)
#message("CMAKE_MODULE_PATH:" ${CMAKE_MODULE_PATH})

set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Include the system's uname that fills in SYSTEM_UNAME_S.
# Sets WIN64 if SYSTEM_UNAME_S is "^.*MING64.*"
include(${CMAKE_UTILS_PATH}/systemUname.cmake)

# Include the various colors we want to use in the output
include(${CMAKE_UTILS_PATH}/outputColors.cmake)

set(CMAKE_COLOR_MAKEFILE ON)
set(CMAKE_VERBOSE_MAKEFILE ON)

message("\n${BoldRed}Configuring build for project ${PROJECT}${ColourReset}\n")

# This export will allow using the flags to be used by
# youcompleteme (vim plugin).
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

if(EXISTS "${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json" )
    execute_process( COMMAND cmake -E copy_if_different
        ${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json
        ${CMAKE_CURRENT_SOURCE_DIR}/compile_commands.json
        )
endif()


# We want C++17
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
message(STATUS "Set CMAKE_CXX_STANDARD to 17 (required)")
message(STATUS "${BoldGreen}CMAKE_CXX_COMPILER: ${CMAKE_CXX_COMPILER}${ColourReset}")

#############################################################
# We do not want warnings for unknown pragmas:
message(STATUS "Setting definition -Wno-unknown-pragmas.${ColourReset}")
add_definitions(-Wno-unknown-pragmas)
# Enable warnings and possibly treat them as errors
message(STATUS "${BoldGreen}Setting definition -Wall.${ColourReset}")
add_definitions(-Wall)
message(STATUS "${BoldGreen}Setting definition -Wextra.${ColourReset}")
add_definitions(-Wextra)

if(WARN_AS_ERROR)
    message(STATUS "${BoldYellow}Setting definition -Werror.${ColourReset}")
    add_definitions(-Werror)
endif()

message(STATUS "${BoldRed}CMAKE_SOURCE_DIR: ${CMAKE_SOURCE_DIR}${ColourReset}")


#############################################################
#############################################################
# Platform-specific CMake configuration
if(MXE)
    include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)

    # Set the name to the systemUname variable because in this situation that name
    # is not found, it it passed as a flag in the command line.
    set(SYSTEM_UNAME_S "mxe")

elseif(UNIX AND NOT APPLE)

    include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain.cmake)

elseif(WIN32 OR _WIN32)

    if(WIN10MINGW64)

        include(${CMAKE_TOOLCHAINS_PATH}/win10-mingw64-toolchain.cmake)
    endif()

elseif(APPLE)

    include(${CMAKE_TOOLCHAINS_PATH}/apple-macport-toolchain.cmake)
endif()

message("")
message(STATUS "${BoldGreen}Starting configuration of ${PROJECT}${ColourReset}")
message("")
message(STATUS "${BoldYellow}The build toolchain is: ${SYSTEM_UNAME_S}${ColourReset}")
message("")


#############################################################
#############################################################
# Essential software configuration
message(STATUS "CMAKE_CURRENT_BINARY_DIR: " ${CMAKE_CURRENT_BINARY_DIR})

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release CACHE STRING
        "Type of build, options are: None, Debug, Release, RelWithDebInfo, MinSizeRel."
        FORCE)
endif(NOT CMAKE_BUILD_TYPE)

if(CMAKE_BUILD_TYPE MATCHES "Release")
    message(STATUS "Compiling in release mode.")
    add_definitions("-DQT_NO_DEBUG_OUTPUT")
endif()

if(CMAKE_BUILD_TYPE MATCHES "Debug")
    message(STATUS "Compiling in debug mode: ${MAKE_TEST}.")
    message(STATUS "Add definition -ggdb3 to format debug output for GDB.")
    add_definitions(-ggdb3)
endif()

if(CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo")
    message(STATUS "Compiling in release with debug info mode.")
endif( CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo" )

message(STATUS "${BoldYellow}CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}.${ColourReset}")


# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
# standard install location
if(CMAKE_INSTALL_PREFIX)
    set(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
endif()

# Before going down the directories, create a variable to store
# all the platform-specific library to link to
set(PLATFORM_SPECIFIC_LINK_LIBRARIES "")

# Subdirectories
message(STATUS "Adding subdirectory src for PROJECT: ${PROJECT}")
add_subdirectory(src)



set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
set(CPACK_GENERATOR "STGZ;TGZ;TZ")
set(CPACK_OUTPUT_CONFIG_FILE "./CPackConfig.cmake")
#set(CPACK_PACKAGE_DESCRIPTION_FILE ${LIBODSSTREAM_SOURCE_DIR}/COPYING)
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A library that contains a subset of the ProteoWizard libpwiz library with code mainly aimed at loading MS files (XML-based and MGF).")
set(CPACK_PACKAGE_EXECUTABLES "libpwizlite")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "libpwizlite-${PWIZLITE_VERSION}")
set(CPACK_SYSTEM_NAME "Linux-i686")
set(CPACK_PACKAGE_FILE_NAME "libpwizlite-${PWIZLITE_VERSION}-${CPACK_SYSTEM_NAME}")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "libpwizlite ${PWIZLITE_VERSION}")
set(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "libpwizlite ${PWIZLITE_VERSION}")
set(CPACK_PACKAGE_NAME "libpwizlite")
set(CPACK_PACKAGE_VENDOR "PAPPSO")
set(CPACK_PACKAGE_VERSION ${PWIZLITE_VERSION})
set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_SOURCE_DIR}/debian/copyright)
set(CPACK_SOURCE_GENERATOR "TGZ;TZ")
set(CPACK_SOURCE_OUTPUT_CONFIG_FILE "./CPackSourceConfig.cmake")
set(CPACK_SOURCE_STRIP_FILES "")
set(CPACK_SYSTEM_NAME "Linux-i686")
set(CPACK_TOPLEVEL_TAG "Linux-i686")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "libpwizlite-${PWIZLITE_VERSION}")


set(CPACK_SOURCE_IGNORE_FILES 
    ".*\\\\.tar\\\\.gz"
    "moc_.*cxx"
    "\\\\.#.*"
    ".*\\\\.aux"
    ".*\\\\.bbl"
    ".*\\\\.blg"
    ".*\\\\.log"
    ".*\\\\.out"
    ".*\\\\.toc"
    "/devel_archives/"
    "/doc\\\\/html/"
    "/doc\\\\/latex/"
    "Makefile"
    "install_manifest.txt"
    "CMakeCache.txt"
    "CPackConfig.cmake"
    "CPackSourceConfig.cmake"
    "/CMakeFiles/"
    "/_CPack_Packages/"
    "/Debug/"
    "/Release/"
    "/tests/"
    "/\\\\.externalToolBuilders/"
    "/\\\\.git/"
    "/\\\\.kdev4/"
    "/\\\\.settings/"
    "Makefile"
    "\\\\.gitignore"
    "\\\\.cdtbuild"
    "\\\\.cdtproject"
    "\\\\.project"
    "\\\\.cproject"
    "/win32/"
    "/win64/"
    "/build/"
    "/buildwin64/"
    "/cbuild/"
    "/wbuild/"
    "/bin/"
    "/buildmingw/"
    "test\\\\.ods"
    "buildwin32.cmd"
    "libpwizlite.so"
    "OpenDocument-v1.0-os.pdf"
    )


set(CPACK_PACKAGE_EXECUTABLES "libpwizlite" "libpwizlite")


# for debian package :
set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Olivier Langella <olivier.langella@u-psud.fr>")
set(DEBIAN_PACKAGE_BUILDS_DEPENDS "Olivier Langella <olivier.langella@u-psud.fr>")


include(CPack)

# to create a TGZ archive of the  source code type shell command
# cpack -G TGZ --config CPackSourceConfig.cmake 


add_custom_target(targz
    cpack -G TGZ --config CPackSourceConfig.cmake && tar xvfz libpwizlite-${PWIZLITE_VERSION}.tar.gz
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMENT "Creating .tar.gz" VERBATIM
    )


add_custom_target(deb
    ln -s libpwizlite-${PWIZLITE_VERSION}.tar.gz libpwizlite_${PWIZLITE_VERSION}.orig.tar.gz && cd libpwizlite-${PWIZLITE_VERSION} && dpkg-buildpackage -sa
    DEPENDS targz
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMENT "Creating Debian package" VERBATIM
    )

=== debian/changelog ===
libpwizlite (3.0.2-1) unstable; urgency=low

  * New version with:
    - Fixes C++17-related incompatibilities;
    - Build under MXE cross-compiling environment;
    - Add new file for building on macport APPLE, with a specific flag.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 15 Jul 2020 11:01:19 +0200

libpwizlite (3.0.1-1~buster+1) buster; urgency=medium

  * merge with salsa version

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 10 Jun 2020 15:56:45 +0200

libpwizlite (3.0.0-2) buster; urgency=medium

  * debian package for PAPPSO buster repository

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 10 Jun 2020 15:23:29 +0200

libpwizlite (3.0.1-1) unreleased; urgency=low

  * New upstream version with new files to perform some
    mass speak feature searching from the same 
    ProteoWizard source tree as for version 3.0.0-1:
    pwiz-src-without-v-3_0_20155_05bff32-downloaded-20200603-19h19.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 04 Jun 2020 17:08:30 +0200

libpwizlite (3.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #961805). Note that the ITP had source
    package name custompwiz, but libpwizlite seems more adequate.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 28 May 2020 20:39:58 +0200

=== debian/rules ===
#!/usr/bin/make -f


# FR the include below loads various mk files:
#
include /usr/share/dpkg/default.mk
#
# include $(dpkg_datadir)/architecture.mk
# include $(dpkg_datadir)/buildflags.mk
# include $(dpkg_datadir)/pkg-info.mk
# include $(dpkg_datadir)/vendor.mk

# export DH_VERBOSE=1
# export DH_OPTIONS=-v

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Hardening stuff, see http://wiki.debian.org/Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

export LIB_VERSION = 3.0.2
export LIB_SOVERSION = 3

%:
	dh $@ --build-system=cmake

override_dh_auto_clean:

	rm -f debian/libpwizlite.3
	rm -rf debian/includes

	dh_clean


override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/usr" \
		-DCMAKE_BUILD_TYPE=release

	rst2man debian/libpwizlite.3.rst > debian/libpwizlite.3

	sh debian/make-included-headers-hierarchy.sh

## libpwizlite 3.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,10 +13,10 @@
 
 set(PWIZLITE_VERSION_MAJOR "3")
 set(PWIZLITE_VERSION_MINOR "0")
-set(PWIZLITE_VERSION_PATCH "2")
+set(PWIZLITE_VERSION_PATCH "3")
 set(PWIZLITE_VERSION "${PWIZLITE_VERSION_MAJOR}.${PWIZLITE_VERSION_MINOR}.${PWIZLITE_VERSION_PATCH}")
 # This VERSION is parseable by the makeOrigTarball script.
-set(VERSION 3.0.2)
+set(VERSION 3.0.3)
 
 message(STATUS "${BoldYellow}CMAKE_LIBRARY_ARCHITECTURE: ${CMAKE_LIBRARY_ARCHITECTURE}${ColourReset}")

=== src/CMakeLists.txt ===
#############################################################
# Enable warnings and possibly treat them as errors
message(STATUS "${BoldYellow}Setting -Wall.${ColourReset}")
add_definitions(-Wall)
if(WARN_AS_ERROR)
    message(STATUS "${BoldYellow}Warnings treated as errors.${ColourReset}")
    add_definitions(-Werror)
endif()

find_package(ZLIB REQUIRED)


# BOOST
if(NOT Boost_FOUND)
    message(STATUS "Boost not yet found. Searching for it.")
    find_package(Boost COMPONENTS iostreams thread filesystem chrono REQUIRED) 
endif()
message(STATUS "Boost_LIBRARIES found ${Boost_LIB_VERSION}")
message(STATUS "Boost_INCLUDES: ${Boost_INCLUDE_DIRS}")
message(STATUS "Boost_LIB_DIRS: ${Boost_LIBRARY_DIRS}")


set(pwizlite_RCCS libpwizliteresources.qrc)

# File list
# find ./ -type f \( -iname "*.h" -o -iname "*.[ch]pp" -o -iname "*.inl" -o -iname "*.dk1" \) | grep \.cpp$ | sed 's/^\.\///'
set(pwizlite_SRCS
    #
    # PWIZ
    pwiz/utility/minimxml/XMLWriter.cpp
    pwiz/utility/minimxml/SAXParser.cpp
    pwiz/utility/misc/IterationListener.cpp
    pwiz/utility/misc/BinaryData.cpp
    pwiz/utility/misc/Base64.cpp
    pwiz/utility/misc/random_access_compressed_ifstream.cpp
    pwiz/utility/misc/Filesystem.cpp
    pwiz/utility/misc/IntegerSet.cpp
    pwiz/utility/misc/SHA1.cpp
    pwiz/utility/misc/SHA1Calculator.cpp
    pwiz/data/msdata/Serializer_MGF.cpp
    pwiz/data/msdata/MSNumpress.cpp
    pwiz/data/msdata/Serializer_MSn.cpp
    pwiz/data/msdata/SpectrumInfo.cpp
    pwiz/data/msdata/IO.cpp
    pwiz/data/msdata/SpectrumList_BTDX.cpp
    pwiz/data/msdata/ChromatogramList_mzML.cpp
    pwiz/data/msdata/SpectrumList_mzML.cpp
    pwiz/data/msdata/Version.cpp
    pwiz/data/msdata/MSDataFile.cpp
    pwiz/data/msdata/SpectrumListBase.cpp
    pwiz/data/msdata/BinaryDataEncoder.cpp
    pwiz/data/msdata/SpectrumList_mzXML.cpp
    pwiz/data/msdata/MSData.cpp
    pwiz/data/msdata/LegacyAdapter.cpp
    pwiz/data/msdata/Reader.cpp
    pwiz/data/msdata/SpectrumList_MSn.cpp
    pwiz/data/msdata/Serializer_mzML.cpp
    pwiz/data/msdata/Index_mzML.cpp
    pwiz/data/msdata/SpectrumWorkerThreads.cpp
    pwiz/data/msdata/References.cpp
    pwiz/data/msdata/SpectrumList_MGF.cpp
    pwiz/data/msdata/DefaultReaderList.cpp
    pwiz/data/msdata/Serializer_mzXML.cpp
    pwiz/data/common/ParamTypes.cpp
    pwiz/data/common/cv.cpp
    pwiz/data/common/CVTranslator.cpp
    pwiz/data/common/diff_std.cpp
    #
    # BOOST
    # Only header files, as of 20200603
    )

add_definitions(-DWITHOUT_MZ5)

# Build the static lib
add_library(pwizlite-static STATIC ${pwizlite_SRCS})

target_include_directories(pwizlite-static PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}/boost
    )

set_target_properties(pwizlite-static
    PROPERTIES OUTPUT_NAME pwizlite
    CLEAN_DIRECT_OUTPUT 1
    )

target_link_libraries(pwizlite-static
    Boost::iostreams
    Boost::filesystem
    Boost::thread
    Boost::chrono
    ZLIB::ZLIB
    ${PLATFORM_SPECIFIC_LINK_LIBRARIES}
    )


add_library(pwizlite-shared SHARED ${pwizlite_SRCS} ${pwizlite_RCC_SRCS})
set_target_properties(pwizlite-shared
    PROPERTIES OUTPUT_NAME pwizlite
    CLEAN_DIRECT_OUTPUT 1
    VERSION ${PWIZLITE_VERSION}
    SOVERSION ${PWIZLITE_VERSION_MAJOR}
    )

target_include_directories(pwizlite-shared PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}/boost
    )

target_link_libraries(pwizlite-shared 
    Boost::iostreams
    Boost::filesystem
    Boost::thread
    Boost::chrono
    ZLIB::ZLIB
    ${PLATFORM_SPECIFIC_LINK_LIBRARIES}
    )


# Install lib

install(TARGETS pwizlite-shared pwizlite-static
    LIBRARY NAMELINK_SKIP
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    # This one is for WIN32
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    )

if(MXE)
    target_compile_definitions(pwizlite-shared PUBLIC MXE)
    target_compile_definitions(pwizlite-static PUBLIC MXE)
endif(MXE)

=== debian/changelog ===
libpwizlite (3.0.3-1build1) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:07:55 +0100

libpwizlite (3.0.3-1) unstable; urgency=low

  * Fix glitch with the macOS port.

  * d/copyright: Fix problem with files appearing in multiple stanzas due to
    their having multiple copyright owners (lintian error:
    duplicate-globbing-patterns).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 20 Oct 2020 17:32:42 +0200

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 
-export LIB_VERSION = 3.0.2
+export LIB_VERSION = 3.0.3
 export LIB_SOVERSION = 3
 
 %:

## libpwizlite 3.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,10 +13,10 @@
 
 set(PWIZLITE_VERSION_MAJOR "3")
 set(PWIZLITE_VERSION_MINOR "0")
-set(PWIZLITE_VERSION_PATCH "3")
+set(PWIZLITE_VERSION_PATCH "4")
 set(PWIZLITE_VERSION "${PWIZLITE_VERSION_MAJOR}.${PWIZLITE_VERSION_MINOR}.${PWIZLITE_VERSION_PATCH}")
 # This VERSION is parseable by the makeOrigTarball script.
-set(VERSION 3.0.3)
+set(VERSION 3.0.4)
 
 message(STATUS "${BoldYellow}CMAKE_LIBRARY_ARCHITECTURE: ${CMAKE_LIBRARY_ARCHITECTURE}${ColourReset}")
 
@@ -160,10 +160,6 @@
 if(CMAKE_INSTALL_PREFIX)
     set(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
 endif()
-
-# Before going down the directories, create a variable to store
-# all the platform-specific library to link to
-set(PLATFORM_SPECIFIC_LINK_LIBRARIES "")
 
 # Subdirectories
 message(STATUS "Adding subdirectory src for PROJECT: ${PROJECT}")

=== debian/changelog ===
libpwizlite (3.0.4-1) unstable; urgency=low

  * New upstream release (downloaded 20220208), filename
    pwiz-src-without-v-3_0_22039_5908c98.tar.bz2.

  * Add debian/not-installed to document uninstalled files.

  * Standards-Version: 4.6.0 (no changes required).

  * Build-Depends: debhelper-compat (= 13).

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 09 Feb 2022 11:59:15 +0100

=== debian/control ===
Source: libpwizlite
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake (>=3.12),
 dh-exec (>= 0.3),
 dpkg-dev (>= 1.18.25),
 libboost-dev,
 libboost-thread-dev,
 libboost-filesystem-dev,
 libboost-iostreams-dev,
 libboost-chrono-dev,
 zlib1g-dev,
 python3-docutils
Standards-Version: 4.6.0
Section: libs
Homepage: https://salsa.debian.org/debichem-team/libpwizlite
Vcs-Browser: https://salsa.debian.org/debichem-team/libpwizlite
Vcs-Git: https://salsa.debian.org/debichem-team/libpwizlite.git


Package: libpwizlite-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpwizlite3 (= ${binary:Version}),
 ${misc:Depends}
Replaces: libpwizlite-dev (<< ${binary:Version})
Description: Library to load mzML/mzXML files (dev files)
 This library is a dumbed-down version of the Proteowizard library.
 This library only contains the required features to
 load standard mzML/mzXML mass spectrometry data files.
 .
 See http://proteowizard.sourceforge.net/ for the original project.
 .
 This package ships the development files.


Package: libpwizlite3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
 ${misc:Depends}
Replaces: libpwizlite3 (<< ${binary:Version})
Description: Library to load mzML/mzXML files (runtime files)
 This library is a dumbed-down version of the Proteowizard library.
 This library only contains the required features to
 load standard mzML/mzXML mass spectrometry data files.
 .
 See http://proteowizard.sourceforge.net/ for the original project.
 .
 This package ships the runtime library files.

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 
-export LIB_VERSION = 3.0.3
+export LIB_VERSION = 3.0.4
 export LIB_SOVERSION = 3
 
 %:

## libpwizlite 3.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,10 +13,10 @@
 
 set(PWIZLITE_VERSION_MAJOR "3")
 set(PWIZLITE_VERSION_MINOR "0")
-set(PWIZLITE_VERSION_PATCH "4")
+set(PWIZLITE_VERSION_PATCH "5")
 set(PWIZLITE_VERSION "${PWIZLITE_VERSION_MAJOR}.${PWIZLITE_VERSION_MINOR}.${PWIZLITE_VERSION_PATCH}")
 # This VERSION is parseable by the makeOrigTarball script.
-set(VERSION 3.0.4)
+set(VERSION 3.0.5)
 
 message(STATUS "${BoldYellow}CMAKE_LIBRARY_ARCHITECTURE: ${CMAKE_LIBRARY_ARCHITECTURE}${ColourReset}")
 
@@ -59,10 +59,10 @@
 set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
 
 if(EXISTS "${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json" )
-    execute_process( COMMAND cmake -E copy_if_different
-        ${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json
-        ${CMAKE_CURRENT_SOURCE_DIR}/compile_commands.json
-        )
+  execute_process( COMMAND cmake -E copy_if_different
+    ${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json
+    ${CMAKE_CURRENT_SOURCE_DIR}/compile_commands.json
+    )
 endif()
 
 
@@ -83,37 +83,44 @@
 add_definitions(-Wextra)
 
 if(WARN_AS_ERROR)
-    message(STATUS "${BoldYellow}Setting definition -Werror.${ColourReset}")
-    add_definitions(-Werror)
+  message(STATUS "${BoldYellow}Setting definition -Werror.${ColourReset}")
+  add_definitions(-Werror)
 endif()
 
 message(STATUS "${BoldRed}CMAKE_SOURCE_DIR: ${CMAKE_SOURCE_DIR}${ColourReset}")
 
 
+# Initialize a list variable that will be updated depending on the specific
+# platforms below.
+list(APPEND PLATFORM_SPECIFIC_LINK_LIBRARIES "")
 #############################################################
 #############################################################
 # Platform-specific CMake configuration
 if(MXE)
-    include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
-
-    # Set the name to the systemUname variable because in this situation that name
-    # is not found, it it passed as a flag in the command line.
-    set(SYSTEM_UNAME_S "mxe")
+  include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
+
+  # Set the name to the systemUname variable because in this situation that name
+  # is not found, it it passed as a flag in the command line.
+  set(SYSTEM_UNAME_S "mxe")
 
 elseif(UNIX AND NOT APPLE)
 
-    include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain.cmake)
+  include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain.cmake)
 
 elseif(WIN32 OR _WIN32)
 
-    if(WIN10MINGW64)
-
-        include(${CMAKE_TOOLCHAINS_PATH}/win10-mingw64-toolchain.cmake)
-    endif()
+  if(WIN10MINGW64)
+
+    # The file below will actually #define WIN10MINGW64 for 
+    # consumption by the src/pwiz/utility/misc/Filesystem.cpp file !
+    include(${CMAKE_TOOLCHAINS_PATH}/win10-mingw64-toolchain.cmake)
+    
+  endif()
 
 elseif(APPLE)
 
-    include(${CMAKE_TOOLCHAINS_PATH}/apple-macport-toolchain.cmake)
+  include(${CMAKE_TOOLCHAINS_PATH}/apple-macport-toolchain.cmake)
+
 endif()
 
 message("")
@@ -129,24 +136,24 @@
 message(STATUS "CMAKE_CURRENT_BINARY_DIR: " ${CMAKE_CURRENT_BINARY_DIR})
 
 if(NOT CMAKE_BUILD_TYPE)
-    set(CMAKE_BUILD_TYPE Release CACHE STRING
-        "Type of build, options are: None, Debug, Release, RelWithDebInfo, MinSizeRel."
-        FORCE)
+  set(CMAKE_BUILD_TYPE Release CACHE STRING
+    "Type of build, options are: None, Debug, Release, RelWithDebInfo, MinSizeRel."
+    FORCE)
 endif(NOT CMAKE_BUILD_TYPE)
 
 if(CMAKE_BUILD_TYPE MATCHES "Release")
-    message(STATUS "Compiling in release mode.")
-    add_definitions("-DQT_NO_DEBUG_OUTPUT")
+  message(STATUS "Compiling in release mode.")
+  add_definitions("-DQT_NO_DEBUG_OUTPUT")
 endif()
 
 if(CMAKE_BUILD_TYPE MATCHES "Debug")
-    message(STATUS "Compiling in debug mode: ${MAKE_TEST}.")
-    message(STATUS "Add definition -ggdb3 to format debug output for GDB.")
-    add_definitions(-ggdb3)
+  message(STATUS "Compiling in debug mode: ${MAKE_TEST}.")
+  message(STATUS "Add definition -ggdb3 to format debug output for GDB.")
+  add_definitions(-ggdb3)
 endif()
 
 if(CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo")
-    message(STATUS "Compiling in release with debug info mode.")
+  message(STATUS "Compiling in release with debug info mode.")
 endif( CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo" )
 
 message(STATUS "${BoldYellow}CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}.${ColourReset}")
@@ -158,7 +165,7 @@
 # Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
 # standard install location
 if(CMAKE_INSTALL_PREFIX)
-    set(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
+  set(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
 endif()
 
 # Subdirectories
@@ -166,31 +173,37 @@
 add_subdirectory(src)
 
 
-
-set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
-set(CPACK_GENERATOR "STGZ;TGZ;TZ")
-set(CPACK_OUTPUT_CONFIG_FILE "./CPackConfig.cmake")
-#set(CPACK_PACKAGE_DESCRIPTION_FILE ${LIBODSSTREAM_SOURCE_DIR}/COPYING)
-set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A library that contains a subset of the ProteoWizard libpwiz library with code mainly aimed at loading MS files (XML-based and MGF).")
-set(CPACK_PACKAGE_EXECUTABLES "libpwizlite")
-set(CPACK_SOURCE_PACKAGE_FILE_NAME "libpwizlite-${PWIZLITE_VERSION}")
-set(CPACK_SYSTEM_NAME "Linux-i686")
-set(CPACK_PACKAGE_FILE_NAME "libpwizlite-${PWIZLITE_VERSION}-${CPACK_SYSTEM_NAME}")
-set(CPACK_PACKAGE_INSTALL_DIRECTORY "libpwizlite ${PWIZLITE_VERSION}")
-set(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "libpwizlite ${PWIZLITE_VERSION}")
-set(CPACK_PACKAGE_NAME "libpwizlite")
-set(CPACK_PACKAGE_VENDOR "PAPPSO")
-set(CPACK_PACKAGE_VERSION ${PWIZLITE_VERSION})
-set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_SOURCE_DIR}/debian/copyright)
-set(CPACK_SOURCE_GENERATOR "TGZ;TZ")
-set(CPACK_SOURCE_OUTPUT_CONFIG_FILE "./CPackSourceConfig.cmake")
-set(CPACK_SOURCE_STRIP_FILES "")
-set(CPACK_SYSTEM_NAME "Linux-i686")
-set(CPACK_TOPLEVEL_TAG "Linux-i686")
-set(CPACK_SOURCE_PACKAGE_FILE_NAME "libpwizlite-${PWIZLITE_VERSION}")
-
-
-set(CPACK_SOURCE_IGNORE_FILES 
+# There are situations where we do not want CPack processing.
+# For that, configure the build using -DNO_CPACK=1.
+
+if(NOT NO_CPACK)
+
+  message("STATUS: Now managing the CPack process")
+
+  set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
+  set(CPACK_GENERATOR "STGZ;TGZ;TZ")
+  set(CPACK_OUTPUT_CONFIG_FILE "./CPackConfig.cmake")
+  #set(CPACK_PACKAGE_DESCRIPTION_FILE ${LIBODSSTREAM_SOURCE_DIR}/COPYING)
+  set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A library that contains a subset of the ProteoWizard libpwiz library with code mainly aimed at loading MS files (XML-based and MGF).")
+  set(CPACK_PACKAGE_EXECUTABLES "libpwizlite")
+  set(CPACK_SOURCE_PACKAGE_FILE_NAME "libpwizlite-${PWIZLITE_VERSION}")
+  set(CPACK_SYSTEM_NAME "Linux-i686")
+  set(CPACK_PACKAGE_FILE_NAME "libpwizlite-${PWIZLITE_VERSION}-${CPACK_SYSTEM_NAME}")
+  set(CPACK_PACKAGE_INSTALL_DIRECTORY "libpwizlite ${PWIZLITE_VERSION}")
+  set(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "libpwizlite ${PWIZLITE_VERSION}")
+  set(CPACK_PACKAGE_NAME "libpwizlite")
+  set(CPACK_PACKAGE_VENDOR "PAPPSO")
+  set(CPACK_PACKAGE_VERSION ${PWIZLITE_VERSION})
+  set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_SOURCE_DIR}/debian/copyright)
+  set(CPACK_SOURCE_GENERATOR "TGZ;TZ")
+  set(CPACK_SOURCE_OUTPUT_CONFIG_FILE "./CPackSourceConfig.cmake")
+  set(CPACK_SOURCE_STRIP_FILES "")
+  set(CPACK_SYSTEM_NAME "Linux-i686")
+  set(CPACK_TOPLEVEL_TAG "Linux-i686")
+  set(CPACK_SOURCE_PACKAGE_FILE_NAME "libpwizlite-${PWIZLITE_VERSION}")
+
+
+  set(CPACK_SOURCE_IGNORE_FILES 
     ".*\\\\.tar\\\\.gz"
     "moc_.*cxx"
     "\\\\.#.*"
@@ -238,30 +251,38 @@
     )
 
 
-set(CPACK_PACKAGE_EXECUTABLES "libpwizlite" "libpwizlite")
-
-
-# for debian package :
-set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Olivier Langella <olivier.langella@u-psud.fr>")
-set(DEBIAN_PACKAGE_BUILDS_DEPENDS "Olivier Langella <olivier.langella@u-psud.fr>")
-
-
-include(CPack)
-
-# to create a TGZ archive of the  source code type shell command
-# cpack -G TGZ --config CPackSourceConfig.cmake 
-
-
-add_custom_target(targz
+  set(CPACK_PACKAGE_EXECUTABLES "libpwizlite" "libpwizlite")
+
+
+  # for debian package :
+  set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Olivier Langella <olivier.langella@u-psud.fr>")
+  set(DEBIAN_PACKAGE_BUILDS_DEPENDS "Olivier Langella <olivier.langella@u-psud.fr>")
+
+
+  include(CPack)
+
+
+  # to create a TGZ archive of the  source code type shell command
+  # cpack -G TGZ --config CPackSourceConfig.cmake 
+
+
+  add_custom_target(targz
     cpack -G TGZ --config CPackSourceConfig.cmake && tar xvfz libpwizlite-${PWIZLITE_VERSION}.tar.gz
     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
     COMMENT "Creating .tar.gz" VERBATIM
     )
 
 
-add_custom_target(deb
+  add_custom_target(deb
     ln -s libpwizlite-${PWIZLITE_VERSION}.tar.gz libpwizlite_${PWIZLITE_VERSION}.orig.tar.gz && cd libpwizlite-${PWIZLITE_VERSION} && dpkg-buildpackage -sa
     DEPENDS targz
     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
     COMMENT "Creating Debian package" VERBATIM
     )
+
+else()
+
+  message("STATUS: Not including CPack")
+
+endif(NOT NO_CPACK)
+

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -37,6 +37,7 @@
     pwiz/utility/misc/IntegerSet.cpp
     pwiz/utility/misc/SHA1.cpp
     pwiz/utility/misc/SHA1Calculator.cpp
+    pwiz/utility/misc/String.cpp
     pwiz/data/msdata/Serializer_MGF.cpp
     pwiz/data/msdata/MSNumpress.cpp
     pwiz/data/msdata/Serializer_MSn.cpp

=== debian/changelog ===
libpwizlite (3.0.5-2.1build3) noble; urgency=medium

  * No-change rebuild against libboost-chrono1.83.0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Apr 2024 02:24:06 +0000

libpwizlite (3.0.5-2.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:31:20 +0000

libpwizlite (3.0.5-2.1build1) noble; urgency=high

  * No change rebuild against libboost-chrono1.83.0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:37:51 +0100

libpwizlite (3.0.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062581

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 17:01:29 +0000

libpwizlite (3.0.5-2) unstable; urgency=low

  * Fix Bug#1045317: libpwizlite: Fails to build source after successful build
    (Closes: #1045317).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 23 Nov 2023 21:56:47 +0100

libpwizlite (3.0.5-1) unstable; urgency=low

  * New upstream with fixed portability problems to WIN10 (nov 2022).
  * Fixed compilation failures due to missing #include <cstdint> for type
    int64_t (Closes: #1037733) with g++-13.
  * Standards-Version: 4.6.2.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 15 Jun 2023 10:59:52 +0200

libpwizlite (3.0.4-2~bullseye+1) bullseye; urgency=medium

  * debian package for PAPPSO bullseye repository

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 13 Mar 2022 12:26:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: libpwizlite
 Priority: optional
-Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper-compat (= 13),
- cmake (>=3.12),
- dh-exec (>= 0.3),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+ cmake,
+ dh-exec,
  dpkg-dev (>= 1.18.25),
  libboost-dev,
  libboost-thread-dev,
@@ -13,7 +14,7 @@
  libboost-chrono-dev,
  zlib1g-dev,
  python3-docutils
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://salsa.debian.org/debichem-team/libpwizlite
 Vcs-Browser: https://salsa.debian.org/debichem-team/libpwizlite
@@ -24,7 +25,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libpwizlite3 (= ${binary:Version}),
+Depends: libpwizlite3t64 (= ${binary:Version}),
  ${misc:Depends}
 Replaces: libpwizlite-dev (<< ${binary:Version})
 Description: Library to load mzML/mzXML files (dev files)
@@ -37,12 +38,14 @@
  This package ships the development files.
 
 
-Package: libpwizlite3
+Package: libpwizlite3t64
+Provides: ${t64:Provides}
+Breaks: libpwizlite3 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
  ${misc:Depends}
-Replaces: libpwizlite3 (<< ${binary:Version})
+Replaces: libpwizlite3, libpwizlite3t64 (<< ${binary:Version})
 Description: Library to load mzML/mzXML files (runtime files)
  This library is a dumbed-down version of the Proteowizard library.
  This library only contains the required features to

=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,13 @@
 
 export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+export build_multiarch_dir ?= $(shell dpkg-architecture -q DEB_BUILD_MULTIARCH)
+
 # Hardening stuff, see http://wiki.debian.org/Hardening
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 
-export LIB_VERSION = 3.0.4
+export LIB_VERSION = 3.0.5
 export LIB_SOVERSION = 3
 
 %:
@@ -29,6 +31,7 @@
 
 	rm -f debian/libpwizlite.3
 	rm -rf debian/includes
+	rm -rf obj-$(build_multiarch_dir)
 
 	dh_clean

## libpwizlite 3.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,15 +8,13 @@
 ############################################################
 # Basic information about project
 
-set(PROJECT pwizlite)
+set(PROJECT libpwizlite)
 project(${PROJECT} CXX C)
 
 set(PWIZLITE_VERSION_MAJOR "3")
 set(PWIZLITE_VERSION_MINOR "0")
-set(PWIZLITE_VERSION_PATCH "5")
+set(PWIZLITE_VERSION_PATCH "8")
 set(PWIZLITE_VERSION "${PWIZLITE_VERSION_MAJOR}.${PWIZLITE_VERSION_MINOR}.${PWIZLITE_VERSION_PATCH}")
-# This VERSION is parseable by the makeOrigTarball script.
-set(VERSION 3.0.5)
 
 message(STATUS "${BoldYellow}CMAKE_LIBRARY_ARCHITECTURE: ${CMAKE_LIBRARY_ARCHITECTURE}${ColourReset}")
 
@@ -111,10 +109,10 @@
 
   if(WIN10MINGW64)
 
-    # The file below will actually #define WIN10MINGW64 for 
+    # The file below will actually #define WIN10MINGW64 for
     # consumption by the src/pwiz/utility/misc/Filesystem.cpp file !
     include(${CMAKE_TOOLCHAINS_PATH}/win10-mingw64-toolchain.cmake)
-    
+
   endif()
 
 elseif(APPLE)
@@ -171,6 +169,25 @@
 # Subdirectories
 message(STATUS "Adding subdirectory src for PROJECT: ${PROJECT}")
 add_subdirectory(src)
+
+
+#############################################################
+###########################
+# CREATE THE SOURCE PACKAGE
+include(${CMAKE_UTILS_PATH}/targz-source-package-creation.cmake)
+
+add_custom_target(archive
+  cpack -G TGZ --config CPackSourceConfig.cmake && mv
+  ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}-${PWIZLITE_VERSION}.tar.gz
+  ${CMAKE_SOURCE_DIR}/../tarballs && ln -sf
+  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}-${PWIZLITE_VERSION}.tar.gz
+  ${CMAKE_SOURCE_DIR}/../${CMAKE_PROJECT_NAME}_${PWIZLITE_VERSION}.orig.tar.gz && ln -sf
+  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}-${PWIZLITE_VERSION}.tar.gz
+  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}_${PWIZLITE_VERSION}.orig.tar.gz
+
+  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+  COMMENT "Creating .tar.gz" VERBATIM
+)
 
 
 # There are situations where we do not want CPack processing.
@@ -203,7 +220,7 @@
   set(CPACK_SOURCE_PACKAGE_FILE_NAME "libpwizlite-${PWIZLITE_VERSION}")
 
 
-  set(CPACK_SOURCE_IGNORE_FILES 
+  set(CPACK_SOURCE_IGNORE_FILES
     ".*\\\\.tar\\\\.gz"
     "moc_.*cxx"
     "\\\\.#.*"
@@ -259,11 +276,9 @@
   set(DEBIAN_PACKAGE_BUILDS_DEPENDS "Olivier Langella <olivier.langella@u-psud.fr>")
 
 
-  include(CPack)
-
 
   # to create a TGZ archive of the  source code type shell command
-  # cpack -G TGZ --config CPackSourceConfig.cmake 
+  # cpack -G TGZ --config CPackSourceConfig.cmake
 
 
   add_custom_target(targz
@@ -274,7 +289,7 @@
 
 
   add_custom_target(deb
-    ln -s libpwizlite-${PWIZLITE_VERSION}.tar.gz libpwizlite_${PWIZLITE_VERSION}.orig.tar.gz && cd libpwizlite-${PWIZLITE_VERSION} && dpkg-buildpackage -sa
+    ln -s libpwizlite-${PWIZLITE_VERSION}.tar.gz libpwizlite_${PWIZLITE_VERSION}.orig.tar.gz && cd libpwizlite-${PWIZLITE_VERSION} && dpkg-buildpackage -B
     DEPENDS targz
     WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
     COMMENT "Creating Debian package" VERBATIM

=== src/CMakeLists.txt ===
#############################################################
# Enable warnings and possibly treat them as errors
message(STATUS "${BoldYellow}Setting -Wall.${ColourReset}")
add_definitions(-Wall)
if(WARN_AS_ERROR)
    message(STATUS "${BoldYellow}Warnings treated as errors.${ColourReset}")
    add_definitions(-Werror)
endif()

find_package(ZLIB REQUIRED)


# BOOST
if(NOT Boost_FOUND)
    message(STATUS "Boost not yet found. Searching for it.")
    find_package(Boost COMPONENTS iostreams thread filesystem chrono REQUIRED)
endif()
message(STATUS "Boost_LIBRARIES found ${Boost_LIB_VERSION}")
message(STATUS "Boost_INCLUDES: ${Boost_INCLUDE_DIRS}")
message(STATUS "Boost_LIB_DIRS: ${Boost_LIBRARY_DIRS}")


set(pwizlite_RCCS libpwizliteresources.qrc)

# File list
# find ./ -type f \( -iname "*.h" -o -iname "*.[ch]pp" -o -iname "*.inl" -o -iname "*.dk1" \) | grep \.cpp$ | sed 's/^\.\///'
set(pwizlite_SRCS
    #
    # PWIZ
    pwiz/data/common/ParamTypes.cpp
    pwiz/data/common/CVTranslator.cpp
    pwiz/data/common/cv.cpp
    pwiz/data/common/diff_std.cpp
    pwiz/data/msdata/ChromatogramList_mzML.cpp
    pwiz/data/msdata/LegacyAdapter.cpp
    pwiz/data/msdata/MSNumpress.cpp
    pwiz/data/msdata/References.cpp
    pwiz/data/msdata/SpectrumInfo.cpp
    pwiz/data/msdata/SpectrumList_BTDX.cpp
    pwiz/data/msdata/SpectrumList_mzML.cpp
    pwiz/data/msdata/SpectrumList_mzXML.cpp
    pwiz/data/msdata/Version.cpp
    pwiz/data/msdata/BinaryDataEncoder.cpp
    pwiz/data/msdata/DefaultReaderList.cpp
    # This file contains all the new mzMLb code. See below.
    pwiz/data/msdata/IO.cpp
    # If the mzMLb format is not necessary, the variant below of the IO.cpp file
    # works fine in conjunction with the -DWITHOUT_MZMLB define.
    # pwiz/data/msdata/IO-FRusconi-removed-all-mzmlb-related-code.cpp
    pwiz/data/msdata/Index_mzML.cpp
    pwiz/data/msdata/MSData.cpp
    pwiz/data/msdata/MSDataFile.cpp
    pwiz/data/msdata/Reader.cpp
    pwiz/data/msdata/Serializer_MGF.cpp
    pwiz/data/msdata/Serializer_MSn.cpp
    pwiz/data/msdata/Serializer_mzML.cpp
    pwiz/data/msdata/Serializer_mzXML.cpp
    pwiz/data/msdata/SpectrumListBase.cpp
    pwiz/data/msdata/SpectrumList_MGF.cpp
    pwiz/data/msdata/SpectrumList_MSn.cpp
    pwiz/data/msdata/SpectrumWorkerThreads.cpp
    pwiz/data/msdata/mzmlb/Connection_mzMLb.cpp
    pwiz/utility/minimxml/SAXParser.cpp
    pwiz/utility/minimxml/XMLWriter.cpp
    pwiz/utility/misc/Base64.cpp
    pwiz/utility/misc/IterationListener.cpp
    pwiz/utility/misc/SHA1.cpp
    pwiz/utility/misc/SHA1Calculator.cpp
    pwiz/utility/misc/random_access_compressed_ifstream.cpp
    pwiz/utility/misc/BinaryData.cpp
    pwiz/utility/misc/IntegerSet.cpp
    pwiz/utility/misc/String.cpp
    pwiz/utility/misc/Filesystem.cpp)

add_definitions(-DWITHOUT_MZ5
    ${HDF5_CFLAGS})

# Build the static lib
add_library(pwizlite-static STATIC ${pwizlite_SRCS})

target_include_directories(pwizlite-static PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}/boost)

set_target_properties(pwizlite-static
    PROPERTIES OUTPUT_NAME pwizlite
    CLEAN_DIRECT_OUTPUT 1
    )

target_link_libraries(pwizlite-static
    Boost::iostreams
    Boost::filesystem
    Boost::thread
    Boost::chrono
    ZLIB::ZLIB
    ${PLATFORM_SPECIFIC_LINK_LIBRARIES}

    -Wl,--no-as-needed
    hdf5::hdf5_cpp
    -Wl,--as-needed)


add_library(pwizlite-shared SHARED ${pwizlite_SRCS} ${pwizlite_RCC_SRCS})
set_target_properties(pwizlite-shared
    PROPERTIES OUTPUT_NAME pwizlite
    CLEAN_DIRECT_OUTPUT 1
    VERSION ${PWIZLITE_VERSION}
    SOVERSION ${PWIZLITE_VERSION_MAJOR}
    )

target_include_directories(pwizlite-shared PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}/boost)

target_link_libraries(pwizlite-shared
    Boost::iostreams
    Boost::filesystem
    Boost::thread
    Boost::chrono
    ZLIB::ZLIB
    ${PLATFORM_SPECIFIC_LINK_LIBRARIES}

    -Wl,--no-as-needed
    hdf5::hdf5_cpp
    -Wl,--as-needed)


# Install lib

install(TARGETS pwizlite-shared pwizlite-static
    LIBRARY NAMELINK_SKIP
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    # This one is for WIN32
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    )

if(MXE)
    target_compile_definitions(pwizlite-shared PUBLIC MXE)
    target_compile_definitions(pwizlite-static PUBLIC MXE)
endif(MXE)

=== debian/changelog ===
libpwizlite (3.0.8-1build1) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Miriam España Acebal <miriam.espana@canonical.com>  Sun, 26 Jan 2025 10:58:37 +0000

libpwizlite (3.0.8-1) unstable; urgency=low

  * New upstream version with small glitch.
  * Upload to unstable.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 16 May 2024 14:24:07 +0200

libpwizlite (3.0.7-1) experimental; urgency=low

  * New upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 15 May 2024 23:53:49 +0200

libpwizlite (3.0.6-1~bookworm+2) bookworm; urgency=medium

  * debian package for PAPPSO bookworm repository

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 25 Apr 2024 14:51:12 +0200

libpwizlite (3.0.6-1~bookworm+1) bookworm; urgency=medium

  * debian package for PAPPSO bookworm repository

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 30 Mar 2024 06:53:12 +0100

libpwizlite (3.0.6-1) experimental; urgency=low

  * I had prepared the new 3.0.6-1 version before incorporating
    the 3.0.5-2.1. So this version is actually a merge of that
    initial 3.0.6-1 version into 3.0.5-2.1.
  * New upstream ProteoWizard version downloaded today.
  * New dependency on HDF5.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 29 Mar 2024 23:00:25 +0100

libpwizlite (3.0.5-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Fri, 02 Feb 2024 01:25:21 +0000

libpwizlite (3.0.5-1~bookworm+1) bookworm; urgency=medium

  * debian package for PAPPSO bookworm repository

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 12 Jul 2023 10:40:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libpwizlite
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
+Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
  cmake,
  dh-exec,
  dpkg-dev (>= 1.18.25),
@@ -13,7 +12,8 @@
  libboost-iostreams-dev,
  libboost-chrono-dev,
  zlib1g-dev,
- python3-docutils
+ python3-docutils,
+ libhdf5-dev
 Standards-Version: 4.6.2
 Section: libs
 Homepage: https://salsa.debian.org/debichem-team/libpwizlite
